package com.crm.rely.backend.core.enums;

/**
 * mam类型
 *
 * @author y
 * @create 2022/1/21
 */
public enum FollowCptSignStatus {


    READY(1, "READY"),
    GO(2, "GO"),

    END(3, "END"),
    WITHDRAWAL_OUT(11, "WITHDRAWAL_OUT"),
    VOLUME_OUT(12, "VOLUME_OUT"),
    VIOLATION_OUT(13, "VIOLATION_OUT"),
    WEAR_OUT(14, "WEAR_OUT"),
    EQUITY_OUT(15, "EQUITY_OUT");//开赛时未满足资金要求


    private final Integer code;
    private final String desc;

    FollowCptSignStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static FollowCptSignStatus matchCode(Integer code) {
        for (FollowCptSignStatus type : FollowCptSignStatus.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
